clear
close all

load SubZone_BWtomo_tele_ingredients.mat

%% tomography inversion
damping_scalar   = [ 0.1 0.75 1.5 3 5 7 9 12 16 20 ];
smoothing_scalar = 5;
variance_reduction = 0*damping_scalar;
L2_misfit = 0*damping_scalar;
for ii=1:length(damping_scalar)
    GR = [ G; damping_scalar(ii)*eye(length(mz)); smoothing_scalar*LR ];
    dR = [ d_obs; zeros(length(mz),1); zeros(length(mz),1) ];

    mdv = lsqr(GR,dR,1e-3,25);

    misfit = d_obs-G*mdv;
    variance_reduction(ii) = 100*(var(d_obs) - var(misfit))/var(d_obs);
    
    L2_misfit(ii) = norm(misfit,2);
end

%% plot L-curve
wpos=[50 50 300 300]; 
figure(1), clf, set(gcf,'position',wpos), hold on
plot(damping_scalar,L2_misfit,'k-')
hold on
scatter(damping_scalar,L2_misfit,'ro')
set(gca,'Xdir','reverse')
xlabel('damping scalar')
ylabel('L2 norm of misfit')